Subject: Re: Text comes out blank using lilypond under cygwin
From: Mats Bengtsson <[email-masked]>
To: Richard Stanton <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 18 Apr 2006 23:29:43 +0200

I recommend to install the (non-Cygwin) Windows package of LilyPond 
version 2.8 instead.

   /Mats

Quoting Richard Stanton <[email-masked]>:

> I just installed lilypond (v. 2.6.4) under Windows (cygwin) using the cygwin
> setup program. Although I can run the program and generate PS and PDF files
> OK, and no error messages are produced, no text appears on the output. The
> notes are fine, but lyrics are completely blank (though I can see some
> punctuation...)
>
> I assume it's a font problem, but don't know where to look. By the way, as
> well as installing lilypond, I also installed tetex (everything I could
> find) and ghostscript (v. 8.50).
>
> In case this is helpful, here is the output from lilypond in verbose mode
> when processing a simple file that is supposed to contain some text:
>
>> lilypond -V test.ly
> GNU LilyPond 2.6.4
>
> LILYPOND_DATADIR="/usr/share/lilypond/2.6.4"
> LOCALEDIR="/usr/share/locale"
>
> Effective prefix: "/usr/share/lilypond/2.6.4"
> Initializing FontConfig...
> adding font directory: /usr/share/lilypond/2.6.4/fonts/otf/
> adding font directory: /usr/share/lilypond/2.6.4/fonts/type1/
> adding font directory: /usr/share/lilypond/2.6.4/fonts/svg/
> Processing `test.ly'
> Parsing...[/usr/share/lilypond/2.6.4/ly/init.ly[/usr/share/lilypond/2.6.4/ly
> /dec
> larations-init.ly[/usr/share/lilypond/2.6.4/ly/music-functions-init.ly][/usr
> /sha
> re/lilypond/2.6.4/ly/nederlands.ly][/usr/share/lilypond/2.6.4/ly/drumpitch-i
> nit.
> ly][/usr/share/lilypond/2.6.4/ly/chord-modifiers-init.ly][/usr/share/lilypon
> d/2.
> 6.4/ly/script-init.ly][/usr/share/lilypond/2.6.4/ly/scale-definitions-init.l
> y][/
> usr/share/lilypond/2.6.4/ly/grace-init.ly][/usr/share/lilypond/2.6.4/ly/midi
> -ini
> t.ly[/usr/share/lilypond/2.6.4/ly/performer-init.ly]][/usr/share/lilypond/2.
> 6.4/
> ly/paper-defaults.ly[/usr/share/lilypond/2.6.4/ly/titling-init.ly]][/usr/sha
> re/l
> ilypond/2.6.4/ly/engraver-init.ly][/usr/share/lilypond/2.6.4/ly/dynamic-scri
> pts-
> init.ly][/usr/share/lilypond/2.6.4/ly/spanners-init.ly][/usr/share/lilypond/
> 2.6.
> 4/ly/property-init.ly]][test.ly]
> Interpreting music...
> [/usr/share/lilypond/2.6.4/fonts/otf/emmentaler-20.otf][1]
>
> elapsed time: 0.13 seconds
> Element count 183 (spanners 24)
> Preprocessing graphical objects...
> Grob count
> 247[/usr/share/lilypond/2.6.4/fonts/otf/emmentaler-11.otf][/usr/share
> /lilypond/2.6.4/fonts/otf/emmentaler-13.otf][/usr/share/lilypond/2.6.4/fonts
> /otf
> /emmentaler-14.otf][/usr/share/lilypond/2.6.4/fonts/otf/emmentaler-16.otf][/
> usr/
> share/lilypond/2.6.4/fonts/otf/emmentaler-18.otf][/usr/share/lilypond/2.6.4/
> font
> s/otf/emmentaler-23.otf]
> Calculating line breaks...
> Global shortest duration is 1/8
> [century_schoolbook_l__4.337890625][2]
> Optimal demerits: 15.855840
> Element count 107.[0]
> Calculating page breaks...[century_schoolbook_l__3.865234375]
> Layout output to
> `test.ps'...[/usr/share/lilypond/2.6.4/fonts/otf//aybabtu.otf][
> /usr/share/lilypond/2.6.4/fonts/type1/PFAemmentaler-20.pfa][/usr/share/lilyp
> ond/
> 2.6.4/ps/music-drawing-routines.ps][/usr/share/lilypond/2.6.4/ps/lilyponddef
> s.ps
> ]
> Converting to `test.pdf'...
> Invoking `gs   -dSAFER  -dCompatibilityLevel=1.4  -sPAPERSIZE="a4" -dNOPAUSE
> -dB
> ATCH -r1200  -sDEVICE=pdfwrite -sOutputFile="test.pdf" -c .setpdfwrite -f
> "test.
> ps"'...GPL Ghostscript 8.50 (2005-12-31)
> Copyright (C) 2005 artofcode LLC, Benicia, CA.  All rights reserved.
> This software comes with NO WARRANTY: see the file PUBLIC for details.
> ]
>
> If anyone can tell me how to get the lyrics to display, I'd be very
> grateful.
>
> Thanks a lot.
>
> Richard Stanton
>
>
> _______________________________________________
> lilypond-user mailing list
> [email-masked]
> http://lists.gnu.org/mailman/listinfo/lilypond-user
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/